{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    font.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install font.";
    };
  };

  config = lib.mkIf (config.me.font.enable && config.me.graphical) {
    fonts = {
      enableDefaultPackages = false;
      packages = with pkgs; [
        cascadia-code
        source-sans-pro
        source-serif-pro
        noto-fonts
        noto-fonts-cjk-sans
        noto-fonts-cjk-serif
        noto-fonts-color-emoji
      ];

      fontconfig = {
        localConf = (builtins.readFile ./files/fonts.conf);
        useEmbeddedBitmaps = true;
      };
    };
  };
}
